Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
TiledWatermarkSettings Class Reference
Inheritance diagram for TiledWatermarkSettings:

## Public Member Functions
| constructor ()
| Constructor and set the default value. More...
| constructor (row_space, col_space, rotation, opacity, scale)
| Constructor, with parameters. More...
| Set (row_space, col_space, rotation, opacity, scale)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| col_space
| The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
| rotation
| Rotation angle in degrees.
| row_space
| The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| scale
| The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original size. The default value is 100.

## Detailed Description

This class represents the watermark settings used to construct a tiled watermark from any supported resource.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor() [1/2]

TiledWatermarkSettings.constructor | ( |  | ) |

Constructor and set the default value.

By default, the watermark is not rotated and opacity is completely opaque, the row spacing and column spacing defaults to 2.0 inches. If it's an image or page watermark, display the original scale size.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ constructor() [2/2]

TiledWatermarkSettings.constructor | ( | row_space | ,
|  | col_space | ,
|  | rotation | ,
|  | opacity | ,
|  | scale |
| ) |  |

Constructor, with parameters.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.

## ◆ Set()

TiledWatermarkSettings.Set | ( | row_space | ,
|  | col_space | ,
|  | rotation | ,
|  | opacity | ,
|  | scale |
| ) |  |

Set value.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.